Package org.opensaml.soap.wspolicy

# Interface PolicyAttachment

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `WSPolicyObject`, `XMLObject`

All Known Implementing Classes:
  `PolicyAttachmentImpl`

public interface PolicyAttachment extends WSPolicyObject, ElementExtensibleXMLObject, AttributeExtensibleXMLObject
The wsp:PolicyAttachment element.

See Also:
  - "WS-Policy (http://schemas.xmlsoap.org/ws/2004/09/policy)"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.

## Method Summary

Modifier and Type
Method
Description
`AppliesTo`
`getAppliesTo()`
Get the AppliesTo child element.
`List<Policy>`
`getPolicies()`
Get the list of Policy child elements.
`List<PolicyReference>`
`getPolicyReferences()`
Get the list of PolicyReference child elements.
`void`
`setAppliesTo(AppliesTo newAppliesTo)`
Set the AppliesTo child element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

## Method Details

### getAppliesTo

@Nullable AppliesTo getAppliesTo()
Get the AppliesTo child element.

Returns:
  the child element

### setAppliesTo

void setAppliesTo(@Nullable AppliesTo newAppliesTo)
Set the AppliesTo child element.

Parameters:
  `newAppliesTo` - the new child element

### getPolicies

@Nonnull List<Policy> getPolicies()
Get the list of Policy child elements.

Returns:
  the list of child elements

### getPolicyReferences

@Nonnull List<PolicyReference> getPolicyReferences()
Get the list of PolicyReference child elements.

Returns:
  the list of child elements